EventDnsBase::loadHosts
EventDnsBase::setOption
EventDnsBase
PHP Manual

# EventDnsBase::parseResolvConf

Scans the resolv.conf-formatted file

### Description

public bool EventDnsBase::parseResolvConf ( int `$flags` , string `$filename` )

Scans the resolv.conf-formatted file stored in filename, and read in all the options from it that are listed in flags

### Parameters

`flags`

  Determines what information is parsed from the resolv.conf file. See the man page for resolv.conf for the format of this file.

  The following directives are not parsed from the file: sortlist, rotate, no-check-names, inet6, debug .

  If this function encounters an error, the possible return values are:

  - `1` = failed to open file
  - `2` = failed to stat file
  - `3` = file too large
  - `4` = out of memory
  - `5` = short read from file
  - `6` = no nameservers listed in the file
`filename`

  Path to resolv.conf file.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.